Issue 117699

Summary: Closing a certain .sxw (StarWriter5) document crashes
Product: Writer Reporter: stefan.baltzer
Component: codeAssignee: Mathias_Bauer
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Normal    
Priority: P2 CC: binbjguo, helge.delfs, issues, oc, orw
Version: DEV300m104Keywords: crash, regression
Target Milestone: 3.4.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
StarWriter5 file
none
make sure that layout is still destroyed in dtor of SwDoc none

Description stefan.baltzer 2011-04-05 15:04:07 UTC
Created attachment 76274 [details]
StarWriter5 file

To reproduce: 
 - Open attached document 
 - Close document
 - Crash
Comment 1 stefan.baltzer 2011-04-05 15:38:40 UTC
Note: 
Found with AutoTest "Writer_xml_7_export.bas"
Comment 2 Mathias_Bauer 2011-04-15 15:31:09 UTC
Created attachment 76393 [details]
make sure that layout is still destroyed in dtor of SwDoc
Comment 3 Mathias_Bauer 2011-04-15 15:31:43 UTC
@od: please review the patch
Comment 4 Mathias_Bauer 2011-04-15 15:33:14 UTC
@od: please review the patch
Comment 5 Oliver-Rainer Wittmann 2012-06-13 12:23:06 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 6 binguo 2012-06-18 06:59:02 UTC
Verified it on Aoo_Trunk_20120616.1800.1350879 and it does not reproduce, so close it as fixed.